import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import FluentbitLogoLight from './FluentbitLogoLight';
import FluentbitLogoDark from './FluentbitLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const FluentbitLogoSvg = forwardRef(function FluentbitLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? (_jsx(FluentbitLogoDark, Object.assign({}, props, { ref: ref }))) : (_jsx(FluentbitLogoLight, Object.assign({}, props, { ref: ref })));
});
export default FluentbitLogoSvg;
